GNU bug report logs - #17349
24.3.50; display-battery-mode stops updating after closing and reopening lid

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicolas Richard <theonewiththeevillook@HIDDEN>; dated Sat, 26 Apr 2014 11:20:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 22 Jan 2015 15:33:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 22 10:33:21 2015
Received: from localhost ([127.0.0.1]:53048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YEJl3-0000HJ-Ic
	for submit <at> debbugs.gnu.org; Thu, 22 Jan 2015 10:33:21 -0500
Received: from mxin.ulb.ac.be ([164.15.128.112]:26039)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1YEJl1-0000H4-7v
 for 17349 <at> debbugs.gnu.org; Thu, 22 Jan 2015 10:33:19 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ag8FAFEXwVSkD4Xx/2dsb2JhbABahmWxPQEBAQEBAQaVaYJPAoFYAQEBAQF9hA0BBXkQCAMhJQ8BBEmIKgEUwEWNOwGFPAEBAQEBBQEBAQEehgWCKoZiaAeEKQWXf4EUhQ+FY4YvIoIygT09gnQBAQE
Received: from mathsrv4.ulb.ac.be (HELO localhost) ([164.15.133.241])
 by smtp.ulb.ac.be with ESMTP; 22 Jan 2015 16:32:54 +0100
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN>
 <jwv8uqknwk4.fsf-monnier+emacsbugs@HIDDEN>
Date: Thu, 22 Jan 2015 16:33:03 +0100
In-Reply-To: <jwv8uqknwk4.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Fri, 02 May 2014 09:24:51 -0400")
Message-ID: <8761byespc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>,
 Nicolas Richard <theonewiththeevillook@HIDDEN>,
 Peter =?utf-8?Q?M?= =?utf-8?Q?=C3=BCnster?= <pmlists@HIDDEN>,
 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I use tramp and recentf. Also, I often reopen the lid of my laptop while
having no internet access (namely, in the train). And that's usually
when the battery problem appears for me.

Could all of that be related ?

1. recentf-auto-cleanup-timer (an idle timer) is ran and wants to check
   if the files still exists. For tramp buffers, this tends to hang emacs
   because lack of internet.
2. meanwhile, battery-update-timer (a normal timer) is ran too
3. ??? (something happens, e.g. perhaps user hits C-g because emacs
   seems hung)
4. battery-update-timer is left in the "triggered" state.

Is it possible that two timers interfere ? How would I check this ? It's
a rare problem for me, so I would need something that is not too
invasive.

-- 
Nicolas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 22 Jan 2015 09:43:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 22 04:43:43 2015
Received: from localhost ([127.0.0.1]:52292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YEEIg-0006c8-MK
	for submit <at> debbugs.gnu.org; Thu, 22 Jan 2015 04:43:42 -0500
Received: from smtp08.smtpout.orange.fr ([80.12.242.130]:25151
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1YEEIe-0006bt-15
 for 17349 <at> debbugs.gnu.org; Thu, 22 Jan 2015 04:43:41 -0500
Received: from micropit.roche-blanche.homenet.org ([86.214.174.139])
 by mwinf5d43 with ME
 id ixjX1p01n30pVly03xjXKw; Thu, 22 Jan 2015 10:43:33 +0100
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Thu, 22 Jan 2015 10:43:33 +0100
X-ME-IP: 86.214.174.139
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id 16C782F6F; Thu, 22 Jan 2015 10:43:31 +0100 (CET)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN> <83zjj0js3r.fsf@HIDDEN>
 <jwvfvj364qq.fsf-monnier+bug#17349@HIDDEN>
 <87mwcybqah.fsf@HIDDEN>
Date: Thu, 22 Jan 2015 10:43:31 +0100
In-Reply-To: <87mwcybqah.fsf@HIDDEN> ("Peter
 =?utf-8?Q?M=C3=BCnster=22's?= message of "Fri, 27 Jun 2014 12:27:50 +0200")
Message-ID: <87sif3kv5o.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.12) Emacs/25.0.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, gundaetiapo@HIDDEN, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Fri, Jun 27 2014, Peter M√ľnster wrote:

> Do you think, that this will be fixed soon? If not, I'll install a
> workaround with crond and emacsclient.

Works quite nicely since some months:

--8<---------------cut here---------------start------------->8---
(defun pm/start-timer (sym func &rest args)
  (cl-pushnew (list sym func args) pm/timer-list)
  (apply func args))

(defun pm/gnus-demon-add-handler (sym period idle)
  (pm/start-timer sym 'gnus-demon-add-handler sym period idle))

(defun pm/timer-running-p (func)
  (dolist (timer (append timer-list timer-idle-list))
    (if (or (eq (timer--function timer) func)
            (and (eq (timer--function timer) 'gnus-demon-run-callback)
                 (eq (car (timer--args timer)) func)))
          (return (not (timer--triggered timer))))))

(defun pm/check-timers ()
  (dolist (e pm/timer-list)
    (lexical-let ((entry e) (timer (first e)))
      (unless (pm/timer-running-p timer)
        (if (display-graphic-p)
            (notifications-notify
             :title "Timer is dead!"
             :body  (symbol-name timer)
             :timeout (* 55 60 1000)
             :actions '("delete" "delete entry" "restart" "restart timer")
             :on-action (lambda (id key) (pm/timer-action entry key)))
          (message "Timer is dead: %s" timer))))))
--8<---------------cut here---------------end--------------->8---

And once per hour, crond executes  "emacsclient -e '(pm/check-timers)'"

When a timer is dead, I just need to restart it with a mouse-click.

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 27 Jun 2014 12:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 08:04:57 2014
Received: from localhost ([127.0.0.1]:34382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0Utk-0003Qf-P4
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 08:04:57 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:64216)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1X0Utj-0003QX-Ds
 for 17349 <at> debbugs.gnu.org; Fri, 27 Jun 2014 08:04:55 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AkkFAAhdrVOkD4Xx/2dsb2JhbABbhyenRgEBAQEBAQaWLoMyCgGBH3WEBAEFI1YQCxoCBSECAg8BBEkTiC0BAwYLphaBcpQbAUoMhlEXgSuEOYIIhixoB4J3gUwBBKFDjQuCAIFEOw
Received: from mathsrv4.ulb.ac.be (HELO geodiff-mac3.ulb.ac.be)
 ([164.15.133.241])
 by smtp.ulb.ac.be with ESMTP; 27 Jun 2014 14:04:54 +0200
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: Peter =?utf-8?Q?M=C3=BCnster?= <pmlists@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN> <83zjj0js3r.fsf@HIDDEN>
 <jwvfvj364qq.fsf-monnier+bug#17349@HIDDEN>
 <87mwcybqah.fsf@HIDDEN>
Date: Fri, 27 Jun 2014 14:06:28 +0200
In-Reply-To: <87mwcybqah.fsf@HIDDEN> ("Peter
 \=\?utf-8\?Q\?M\=C3\=BCnster\=22's\?\= message of "Fri,
 27 Jun 2014 12:27:50 +0200")
Message-ID: <87oaxeeeuz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17349
Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>, gundaetiapo@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Peter M=C3=BCnster <pmlists@HIDDEN> writes:
> Do you think, that this will be fixed soon? If not, I'll install a
> workaround with crond and emacsclient.

Since I added some advices to warn me in case of a problem, I didn't see
the problem happen anymore... I'm not sure there's causation between
these facts.

--=20
Nico.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 27 Jun 2014 10:28:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 06:28:02 2014
Received: from localhost ([127.0.0.1]:34347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0TNx-0007O3-AY
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 06:28:02 -0400
Received: from smtp04.smtpout.orange.fr ([80.12.242.126]:57565
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1X0TNu-0007Ni-Bt
 for 17349 <at> debbugs.gnu.org; Fri, 27 Jun 2014 06:27:59 -0400
Received: from micropit.roche-blanche.homenet.org ([2.11.168.102])
 by mwinf5d59 with ME
 id KNTq1o00W2CtZay03NTqRZ; Fri, 27 Jun 2014 12:27:52 +0200
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Fri, 27 Jun 2014 12:27:52 +0200
X-ME-IP: 2.11.168.102
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id 58159A60C4C; Fri, 27 Jun 2014 12:27:50 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN> <83zjj0js3r.fsf@HIDDEN>
 <jwvfvj364qq.fsf-monnier+bug#17349@HIDDEN>
Date: Fri, 27 Jun 2014 12:27:50 +0200
In-Reply-To: <jwvfvj364qq.fsf-monnier+bug#17349@HIDDEN> (Stefan Monnier's
 message of "Tue, 17 Jun 2014 09:33:39 -0400")
Message-ID: <87mwcybqah.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.12) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, gundaetiapo@HIDDEN, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi,

Do you think, that this will be fixed soon? If not, I'll install a
workaround with crond and emacsclient.

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 17 Jun 2014 13:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 17 09:33:56 2014
Received: from localhost ([127.0.0.1]:50161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwtWJ-0000e2-IU
	for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 09:33:55 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:48214)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WwtWD-0000dh-FO
 for 17349 <at> debbugs.gnu.org; Tue, 17 Jun 2014 09:33:49 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsUAR8SFA0LDSQTh2UDCQjKXQ2HLxeMXoE0aAeEOAEDlmEGjlKDYIFqgXGBWyE
X-IPAS-Result: ArUGAIDvNVNLd+D9/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsUAR8SFA0LDSQTh2UDCQjKXQ2HLxeMXoE0aAeEOAEDlmEGjlKDYIFqgXGBWyE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="67096453"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 17 Jun 2014 09:33:39 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 8BEBF60D53; Tue, 17 Jun 2014 09:33:39 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
Message-ID: <jwvfvj364qq.fsf-monnier+bug#17349@HIDDEN>
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN> <83zjj0js3r.fsf@HIDDEN>
Date: Tue, 17 Jun 2014 09:33:39 -0400
In-Reply-To: <83zjj0js3r.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 02 May
 2014 15:13:44 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17349
Cc: pmlists@HIDDEN, Nicolas Richard <theonewiththeevillook@HIDDEN>,
 gundaetiapo@HIDDEN, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>>>>> "Eli" == Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Nicolas Richard <theonewiththeevillook@HIDDEN>
>> Date: Fri, 02 May 2014 13:05:20 +0200
>> Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
>> Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
>> 
>> 3bis. Why are these three "C-g" special ? It is not mentionned in (info "(emacs)
>> Quitting") AFAICT.

> Maybe because of the "emergency escape" feature, although that
> requires 2 C-g's in a row, not 3, and AFAIK only works on a TTY.

No, it does seem to be 3 (quoting src/keyboard.c):

        { /* Else request quit when it's safe.  */
	  int count = NILP (Vquit_flag) ? 1 : force_quit_count + 1;
	  force_quit_count = count;
	  if (count == 3)
            {
              immediate_quit = 1;
              Vinhibit_quit = Qnil;
            }
          Vquit_flag = Qt;
        }


-- Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 15 Jun 2014 09:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 15 05:42:27 2014
Received: from localhost ([127.0.0.1]:48133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ww6xG-0008LR-TG
	for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 05:42:27 -0400
Received: from smtp06.smtpout.orange.fr ([80.12.242.128]:39813
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1Ww6xE-0008LB-33
 for 17349 <at> debbugs.gnu.org; Sun, 15 Jun 2014 05:42:25 -0400
Received: from micropit.roche-blanche.homenet.org ([2.14.205.202])
 by mwinf5d29 with ME
 id EZiH1o0074NY18J03ZiHKs; Sun, 15 Jun 2014 11:42:17 +0200
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Sun, 15 Jun 2014 11:42:17 +0200
X-ME-IP: 2.14.205.202
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id CF3C7A60D0C; Sun, 15 Jun 2014 11:42:16 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: 17349 <at> debbugs.gnu.org
Subject: timer vanishes
Date: Sun, 15 Jun 2014 11:42:16 +0200
Message-ID: <87bntubjbb.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.12) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi,

Perhaps related to this bug:

Sometimes, a periodic timer is no more in the timer list.

For example this one:

[nil 21405 35231 77383 9000 gnus-demon-run-callback (pm/rescan-news 900 9000) nil 39000]


I have to restart it with this command:

(gnus-demon-add-handler 'pm/rescan-news 150 15)


TIA for any solutions or workarounds,
-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 2 May 2014 13:25:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 02 09:25:00 2014
Received: from localhost ([127.0.0.1]:48177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgDSV-0003TG-SG
	for submit <at> debbugs.gnu.org; Fri, 02 May 2014 09:25:00 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:58093)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WgDSU-0003Sv-7O
 for 17349 <at> debbugs.gnu.org; Fri, 02 May 2014 09:24:58 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVPO+K9B/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF44SaAeEOASpGYFqgXGBWyE
X-IPAS-Result: ArYGAIDvNVPO+K9B/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF44SaAeEOASpGYFqgXGBWyE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61307437"
Received: from 206-248-175-65.dsl.teksavvy.com (HELO pastel.home)
 ([206.248.175.65])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 02 May 2014 09:24:51 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 6BA54602CA; Fri,  2 May 2014 09:24:51 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
Message-ID: <jwv8uqknwk4.fsf-monnier+emacsbugs@HIDDEN>
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN>
Date: Fri, 02 May 2014 09:24:51 -0400
In-Reply-To: <87eh0cwidr.fsf@HIDDEN> (Nicolas Richard's
 message of "Fri, 02 May 2014 13:05:20 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>,
 Peter =?windows-1252?Q?M=FCnster?= <pmlists@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> 2. Why does it take three C-g to get out of the sleep-for that is called
> from within the timer ? (e.g. I can do M-: (sleep-for 2) RET C-g and I
> get immediate control)

Not sure, but timers are run with inhibit-quit, so the fact that C-g is
(partly) ignored is very normal.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 2 May 2014 12:13:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 02 08:13:37 2014
Received: from localhost ([127.0.0.1]:48040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgCLQ-00013r-Lq
	for submit <at> debbugs.gnu.org; Fri, 02 May 2014 08:13:36 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:63459)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WgCLO-00013Z-1z
 for 17349 <at> debbugs.gnu.org; Fri, 02 May 2014 08:13:34 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N4Y00F004FXJB00@HIDDEN> for 17349 <at> debbugs.gnu.org;
 Fri, 02 May 2014 15:13:27 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N4Y00F9D4MFBSA0@HIDDEN>;
 Fri, 02 May 2014 15:13:27 +0300 (IDT)
Date: Fri, 02 May 2014 15:13:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
In-reply-to: <87eh0cwidr.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Message-id: <83zjj0js3r.fsf@HIDDEN>
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN> <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN> <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17349
Cc: gundaetiapo@HIDDEN, pmlists@HIDDEN, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Nicolas Richard <theonewiththeevillook@HIDDEN>
> Date: Fri, 02 May 2014 13:05:20 +0200
> Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
> 	Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
> 
> 3bis. Why are these three "C-g" special ? It is not mentionned in (info "(emacs)
> Quitting") AFAICT.

Maybe because of the "emergency escape" feature, although that
requires 2 C-g's in a row, not 3, and AFAIK only works on a TTY.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 2 May 2014 11:25:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 02 07:25:06 2014
Received: from localhost ([127.0.0.1]:47967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgBaT-0006yi-O0
	for submit <at> debbugs.gnu.org; Fri, 02 May 2014 07:25:06 -0400
Received: from smtp09.smtpout.orange.fr ([80.12.242.131]:36331
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1WgBaQ-0006y2-0C
 for 17349 <at> debbugs.gnu.org; Fri, 02 May 2014 07:25:03 -0400
Received: from micropit.roche-blanche.homenet.org ([2.14.209.216])
 by mwinf5d69 with ME
 id wzQu1n0094ggeh603zQvBS; Fri, 02 May 2014 13:24:55 +0200
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Fri, 02 May 2014 13:24:55 +0200
X-ME-IP: 2.14.209.216
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id 28A82A60C67; Fri,  2 May 2014 13:24:54 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
 <87eh0cwidr.fsf@HIDDEN>
Date: Fri, 02 May 2014 13:24:54 +0200
Message-ID: <87vbtoa0e1.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.10) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Fri, May 02 2014, Nicolas Richard wrote:

> Consider this alternative test case:

Yes, much better!


> I have these questions :

I don't know. I have the same questions...

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 2 May 2014 11:04:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 02 07:04:40 2014
Received: from localhost ([127.0.0.1]:47962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgBGh-0006Lh-4F
	for submit <at> debbugs.gnu.org; Fri, 02 May 2014 07:04:39 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:8070)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1WgBGc-0006LS-8g
 for 17349 <at> debbugs.gnu.org; Fri, 02 May 2014 07:04:35 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtgGAC97Y1OkD4Xx/2dsb2JhbABZhxOnUgEBAQEBBAGWVIM2gSd0giYBBSNWEAsaAgUhAgIPAQRJE4gsAQMGC6VfUZwGAUoMhkYXgSqELIF/hhU1MweCb4FKBJ97jCSBdYFBOw
Received: from mathsrv4.ulb.ac.be (HELO geodiff-mac3.ulb.ac.be)
 ([164.15.133.241])
 by smtp.ulb.ac.be with ESMTP; 02 May 2014 13:04:33 +0200
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: Peter =?utf-8?Q?M=C3=BCnster?= <pmlists@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
 <877g65bfen.fsf@HIDDEN>
Date: Fri, 02 May 2014 13:05:20 +0200
In-Reply-To: <877g65bfen.fsf@HIDDEN> ("Peter
 \=\?utf-8\?Q\?M\=C3\=BCnster\=22's\?\= message of "Thu,
 01 May 2014 19:02:56 +0200")
Message-ID: <87eh0cwidr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17349
Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
 Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Peter M=C3=BCnster <pmlists@HIDDEN> writes:
> I can reproduce the problem now:

Thanks for the test case. I'll admit I am a little puzzled by all of
this.

Consider this alternative test case:

(setq watchtimer (run-at-time nil 5 (lambda () (message "Sitting...") (slee=
p-for 2) (message "Sat"))))

(defun warnme ()
  (when (timer--triggered watchtimer)
    (message "timer has trigger flag to t.")
    (remove-hook 'post-command-hook 'warnme)))
(add-hook 'post-command-hook 'warnme)

Then you can see that loading this file and hitting C-g C-g C-g will
say: "timer has trigger flag to t."

I have these questions :

1. Is this the problem that I have been seeing with
display-battery-mode? I don't recall hammering C-g when I noticed my
problem.

1bis. Is this the problem that you have been seeing too ?

2. Why does it take three C-g to get out of the sleep-for that is called
from within the timer ? (e.g. I can do M-: (sleep-for 2) RET C-g and I
get immediate control)

3. Why aren't these C-g caught by the condition-case in
timer-event-handler ? Or alternatively:

3bis. Why are these three "C-g" special ? It is not mentionned in (info "(e=
macs)
Quitting") AFAICT.

--=20
Nico.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 1 May 2014 17:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 13:03:08 2014
Received: from localhost ([127.0.0.1]:47618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfuO3-00038p-LA
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 13:03:07 -0400
Received: from smtp03.smtpout.orange.fr ([80.12.242.125]:49452
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1WfuO1-00038H-6H
 for 17349 <at> debbugs.gnu.org; Thu, 01 May 2014 13:03:06 -0400
Received: from micropit.roche-blanche.homenet.org ([2.14.209.216])
 by mwinf5d26 with ME
 id wh2w1n00M4ggeh603h2xBT; Thu, 01 May 2014 19:02:58 +0200
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Thu, 01 May 2014 19:02:58 +0200
X-ME-IP: 2.14.209.216
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id A039AA60C2B; Thu,  1 May 2014 19:02:56 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
 <87tx991u2m.fsf@HIDDEN>
Date: Thu, 01 May 2014 19:02:56 +0200
In-Reply-To: <87tx991u2m.fsf@HIDDEN> ("Peter
 =?utf-8?Q?M=C3=BCnster=22's?= message of "Thu, 01 May 2014 15:56:17 +0200")
Message-ID: <877g65bfen.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.10) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi,

I can reproduce the problem now:

1.) Create file /tmp/test.el :
--8<---------------cut here---------------start------------->8---
; path of org-notify.el (modify here):
(add-to-list 'load-path "~/emacs/packages/org-mode/contrib/lisp/")
(require 'org-notify)
(setq org-agenda-files '("/tmp/todo.org"))
(with-current-buffer (find-file (car org-agenda-files))
  (dotimes (var 1000)
    (insert "* TODO a todo item\n  DEADLINE: <2014-12-12 Thu 12:12>\n")))
(org-notify-start 2)
(run-with-timer 3 3 (lambda () (when (timer--triggered org-notify-timer)
    (warn "org-notify-timer has trigger flag to t."))))
--8<---------------cut here---------------end--------------->8---

2.) Be sure, that keys are repeated: "xset r rate 250 50"

3.) Run emacs: "emacs -Q -l /tmp/test.el"

4.) Press Ctrl-g, and keep the 2 keys pressed for some seconds.

5.) A warning appears: "Warning (emacs): org-notify-timer has trigger flag to t."

Can you reproduce it?

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 1 May 2014 13:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 09:56:32 2014
Received: from localhost ([127.0.0.1]:47430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfrTT-00063O-IV
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 09:56:32 -0400
Received: from smtp04.smtpout.orange.fr ([80.12.242.126]:50462
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1WfrTN-000634-4h
 for 17349 <at> debbugs.gnu.org; Thu, 01 May 2014 09:56:26 -0400
Received: from micropit.roche-blanche.homenet.org ([2.14.209.216])
 by mwinf5d59 with ME
 id wdwH1n00R4ggeh603dwJob; Thu, 01 May 2014 15:56:18 +0200
X-ME-Helo: micropit.roche-blanche.homenet.org
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Thu, 01 May 2014 15:56:18 +0200
X-ME-IP: 2.14.209.216
Received: by micropit.roche-blanche.homenet.org (Postfix, from userid 1000)
 id 64007A60D24; Thu,  1 May 2014 15:56:17 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
 <8738gzkxte.fsf@HIDDEN>
Date: Thu, 01 May 2014 15:56:17 +0200
In-Reply-To: <8738gzkxte.fsf@HIDDEN> (Nicolas Richard's message of "Sun, 27
 Apr 2014 09:59:09 +0200")
Message-ID: <87tx991u2m.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.10) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Sun, Apr 27 2014, Nicolas Richard wrote:

> (defun yf/checktimer-after (timer)
>   (when (eq battery-update-timer timer)
>     (message "Ran battery update timer. current time: %s triggered-p: %s"
>              (decode-time) (timer--triggered timer))))
> (defun yf/checktimer-before (timer)
>   (when (eq battery-update-timer timer)
>     (message "Running battery update timer. current time: %s triggered-p: %s"
>              (decode-time) (timer--triggered timer))))
> (advice-add 'timer-event-handler :before 'yf/checktimer-before)
> (advice-add 'timer-event-handler :after 'yf/checktimer-after)
>
> (defun yf/checktimer-warn ()
>   (when (timer--triggered battery-update-timer)
>     (warn "battery-update-timer has trigger flag to t.")))
> (add-hook 'post-command-hook 'yf/checktimer-warn)

Thanks. It happened again:

Before timer. current time: (0 46 15 1 5 2014 4 t 7200) triggered-p: t
[t 21346 20504 204460 20 org-notify-process nil nil 225188]
After timer. current time: (0 46 15 1 5 2014 4 t 7200) triggered-p: nil
[nil 21346 20524 204460 20 org-notify-process nil nil 225188]
Before timer. current time: (20 46 15 1 5 2014 4 t 7200) triggered-p: t
[t 21346 20524 204460 20 org-notify-process nil nil 225188]
After timer. current time: (20 46 15 1 5 2014 4 t 7200) triggered-p: nil
[nil 21346 20544 204460 20 org-notify-process nil nil 225188]
Before timer. current time: (40 46 15 1 5 2014 4 t 7200) triggered-p: t
[t 21346 20544 204460 20 org-notify-process nil nil 225188]

That means, that there is no "after-timer" event.

It happened exactly when I was hitting C-g repeatedly.

What should I do now please?

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 27 Apr 2014 07:59:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 27 03:59:28 2014
Received: from localhost ([127.0.0.1]:59506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WeJzk-0005IA-7L
	for submit <at> debbugs.gnu.org; Sun, 27 Apr 2014 03:59:28 -0400
Received: from mailrelay008.isp.belgacom.be ([195.238.6.174]:58482)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1WeJzi-0005Hz-NN
 for 17349 <at> debbugs.gnu.org; Sun, 27 Apr 2014 03:59:27 -0400
X-Belgacom-Dynamic: yes
Received: from 41.233-178-91.adsl-dyn.isp.belgacom.be (HELO LDLC-portable)
 ([91.178.233.41])
 by relay.skynet.be with ESMTP; 27 Apr 2014 09:59:11 +0200
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: Peter =?utf-8?Q?M=C3=BCnster?= <pmlists@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
 <874n1f4xzq.fsf@HIDDEN>
Date: Sun, 27 Apr 2014 09:59:09 +0200
In-Reply-To: <874n1f4xzq.fsf@HIDDEN> ("Peter
 \=\?utf-8\?Q\?M\=C3\=BCnster\=22's\?\=
 message of "Sat, 26 Apr 2014 22:49:45 +0200")
Message-ID: <8738gzkxte.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Nicolas Richard <theonewiththeevillook@HIDDEN>,
 Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Peter M=C3=BCnster <pmlists@HIDDEN> writes:
>> (I'm now running a piece of advice to check whether timer-event-handler
>> is run when the problem appears, but I did not use my laptop a lot the
>> last few hours.)
>
> Could you send it please? Perhaps it would make sense to use this advice
> here on my emacs too.

Sure ; although it's less useful that what its description promises.

(defun yf/checktimer-after (timer)
  (when (eq battery-update-timer timer)
    (message "Ran battery update timer. current time: %s triggered-p: %s"
             (decode-time) (timer--triggered timer))))
(defun yf/checktimer-before (timer)
  (when (eq battery-update-timer timer)
    (message "Running battery update timer. current time: %s triggered-p: %=
s"
             (decode-time) (timer--triggered timer))))
(advice-add 'timer-event-handler :before 'yf/checktimer-before)
(advice-add 'timer-event-handler :after 'yf/checktimer-after)

(defun yf/checktimer-warn ()
  (when (timer--triggered battery-update-timer)
    (warn "battery-update-timer has trigger flag to t.")))
(add-hook 'post-command-hook 'yf/checktimer-warn)

--=20
Nico.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 26 Apr 2014 20:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 26 16:49:51 2014
Received: from localhost ([127.0.0.1]:59356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1We9Xi-0000D0-Mm
	for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 16:49:51 -0400
Received: from smtp08.smtpout.orange.fr ([80.12.242.130]:42062
 helo=smtp.smtpout.orange.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pmlists@HIDDEN>) id 1We9Xf-0000Cl-Mw
 for 17349 <at> debbugs.gnu.org; Sat, 26 Apr 2014 16:49:48 -0400
Received: from micropit.couberia.selfip.net ([2.2.212.209])
 by mwinf5d16 with ME
 id ukpl1n00D4Xdq4q03kplJo; Sat, 26 Apr 2014 22:49:46 +0200
X-ME-Helo: micropit.couberia.selfip.net
X-ME-Auth: ZHJwbUB3YW5hZG9vLmZy
X-ME-Date: Sat, 26 Apr 2014 22:49:46 +0200
X-ME-IP: 2.2.212.209
Received: by micropit.couberia.selfip.net (Postfix, from userid 1000)
 id 30AC2A60C6C; Sat, 26 Apr 2014 22:49:45 +0200 (CEST)
From: =?utf-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>
To: Nicolas Richard <theonewiththeevillook@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 <87d2g3lth0.fsf@HIDDEN>
Date: Sat, 26 Apr 2014 22:49:45 +0200
Message-ID: <874n1f4xzq.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (=?utf-8?Q?=E7=9C=9F?= Gnus v0.10) Emacs/24.4.50
 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: Barry OReilly <gundaetiapo@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Sat, Apr 26 2014, Nicolas Richard wrote:

> Very much, indeed (he doesn't mention a laptop, though).

But I mention suspend to ram:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#32

Perhaps it's related to suspend and wakeup events?


> (I'm now running a piece of advice to check whether timer-event-handler
> is run when the problem appears, but I did not use my laptop a lot the
> last few hours.)

Could you send it please? Perhaps it would make sense to use this advice
here on my emacs too.

-- 
           Peter




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 26 Apr 2014 20:35:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 26 16:35:28 2014
Received: from localhost ([127.0.0.1]:59346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1We9Jn-0008B7-Hi
	for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 16:35:27 -0400
Received: from mailrelay009.isp.belgacom.be ([195.238.6.176]:64465)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We9Jl-0008Au-2O
 for 17349 <at> debbugs.gnu.org; Sat, 26 Apr 2014 16:35:26 -0400
X-Belgacom-Dynamic: yes
Received: from 41.233-178-91.adsl-dyn.isp.belgacom.be (HELO LDLC-portable)
 ([91.178.233.41])
 by relay.skynet.be with ESMTP; 26 Apr 2014 22:35:23 +0200
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: Barry OReilly <gundaetiapo@HIDDEN>
Subject: Re: bug#17349: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
References: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
Date: Sat, 26 Apr 2014 22:35:23 +0200
In-Reply-To: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
 (Barry OReilly's message of "Sat, 26 Apr 2014 10:49:58 -0400")
Message-ID: <87d2g3lth0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17349
Cc: theonewiththeevillook@HIDDEN,
 Peter =?utf-8?Q?M=C3=BCnster?= <pmlists@HIDDEN>, 17349 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Barry OReilly <gundaetiapo@HIDDEN> writes:

>> I use display-battery-mode to display remaining battery percentage
>> in the modeline. It sometimes happens that the percentage never
>> changes (I usually notice this when I re-open the lid).
>
> Sounds just like the problem Peter describes at
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#62

Very much, indeed (he doesn't mention a laptop, though).

(I'm now running a piece of advice to check whether timer-event-handler
is run when the problem appears, but I did not use my laptop a lot the
last few hours.)

-- 
Nico.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at 17349 <at> debbugs.gnu.org:


Received: (at 17349) by debbugs.gnu.org; 26 Apr 2014 14:50:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 26 10:50:06 2014
Received: from localhost ([127.0.0.1]:59214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1We3vZ-0005mf-39
	for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 10:50:05 -0400
Received: from mail-ob0-f172.google.com ([209.85.214.172]:32918)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gundaetiapo@HIDDEN>) id 1We3vT-0005m2-1I
 for 17349 <at> debbugs.gnu.org; Sat, 26 Apr 2014 10:49:59 -0400
Received: by mail-ob0-f172.google.com with SMTP id wo20so5559730obc.31
 for <17349 <at> debbugs.gnu.org>; Sat, 26 Apr 2014 07:49:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=JbJva0RZGL8GfZ20kCC1L1jdMgv7pVl7Mg27FpqEEqI=;
 b=hwxiGf4UChV+C0eleec4dmtrxapsyr5EX7V2Z/Z3LwRGRnV5aZFLEHzt0m0UsabM10
 ASXNlPTd4G9jrWqKWeGoGxRySa13yrjHVVl04OiBw0eg9Brtky1EZUpo5DR/JEIFPLrx
 1trAzdt9IG79mCT9cAx2v5g3QkiRNqo+mXR1nqi/FDN1Zs826uSJb1dCRy6UNi847khW
 7f+SZXQmRJahbqxCO9Tn23Ic3bAb02Ovb6dlDQ/Do9JefpjkkG/fvjQxkaouw7oCdqZz
 s2IELxeBHP1hQtduS7RW+1CnKO9f9ClY364RCuxiZEOlPPR0mgTfud08UywKw0+hahfC
 3UyA==
MIME-Version: 1.0
X-Received: by 10.182.102.99 with SMTP id fn3mr2021138obb.57.1398523798231;
 Sat, 26 Apr 2014 07:49:58 -0700 (PDT)
Received: by 10.76.6.44 with HTTP; Sat, 26 Apr 2014 07:49:58 -0700 (PDT)
Date: Sat, 26 Apr 2014 10:49:58 -0400
Message-ID: <CAFM41H2LAXsimobeQyYtcdytDVWybXHhTAGLtdueRY_TGWOzng@HIDDEN>
Subject: bug#17349: 24.3.50; display-battery-mode stops updating after closing
 and reopening lid
From: Barry OReilly <gundaetiapo@HIDDEN>
To: theonewiththeevillook@HIDDEN,
 =?UTF-8?Q?Peter_M=C3=BCnster?= <pmlists@HIDDEN>, 17349 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=089e013d0d683421c404f7f332e8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17349
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e013d0d683421c404f7f332e8
Content-Type: text/plain; charset=UTF-8

> I use display-battery-mode to display remaining battery percentage
> in the modeline. It sometimes happens that the percentage never
> changes (I usually notice this when I re-open the lid).

Sounds just like the problem Peter describes at
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#62

--089e013d0d683421c404f7f332e8
Content-Type: text/html; charset=UTF-8

<div dir="ltr">&gt; I use display-battery-mode to display remaining battery percentage<br>&gt; in the modeline. It sometimes happens that the percentage never<br>&gt; changes (I usually notice this when I re-open the lid).<br>
<br>Sounds just like the problem Peter describes at<br><a href="http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#62">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#62</a><br><br></div>

--089e013d0d683421c404f7f332e8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Apr 2014 11:19:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 26 07:19:28 2014
Received: from localhost ([127.0.0.1]:59019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1We0dj-0006Mr-65
	for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 07:19:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46953)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dg-0006Mh-1C
 for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 07:19:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dY-0007c8-58
 for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 07:19:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52888)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dY-0007c4-2h
 for submit <at> debbugs.gnu.org; Sat, 26 Apr 2014 07:19:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48546)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dR-0002gB-Qc
 for bug-gnu-emacs@HIDDEN; Sat, 26 Apr 2014 07:19:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dL-0007YX-HV
 for bug-gnu-emacs@HIDDEN; Sat, 26 Apr 2014 07:19:09 -0400
Received: from mailrelay002.isp.belgacom.be ([195.238.6.175]:50320)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <theonewiththeevillook@HIDDEN>) id 1We0dL-0007YJ-BV
 for bug-gnu-emacs@HIDDEN; Sat, 26 Apr 2014 07:19:03 -0400
X-Belgacom-Dynamic: yes
Received: from 2.152-246-81.adsl-dyn.isp.belgacom.be (HELO LDLC-portable)
 ([81.246.152.2])
 by relay.skynet.be with ESMTP; 26 Apr 2014 13:19:02 +0200
From: Nicolas Richard <theonewiththeevillook@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50;
 display-battery-mode stops updating after closing and reopening lid
Date: Sat, 26 Apr 2014 13:19:02 +0200
Message-ID: <87tx9gl4nt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I use display-battery-mode to display remaining battery percentage in
the modeline. It sometimes happens that the percentage never changes (I
usually notice this when I re-open the lid).

It seems that the timer doesn't get triggered anymore :

timer-list is a variable defined in `C source code'.
Its value is
([t 21337 29946 782082 60 battery-update-handler nil nil 770389]
 [nil 21339 22389 552723 3600 url-cookie-write-file nil nil 255341])

I guess it doesn't run because (timer--triggered (car timer-list)) => t
; and indeed, (setf (timer--triggered (car timer-list)) nil) made it
work again.

IIUC, it is the job of timer-event-handler to put that back to nil. Any
idea why it sometimes doesn't work ?

In GNU Emacs 24.3.50.7 (i686-pc-linux-gnu, GTK+ Version 2.24.20)
 of 2014-04-10 on LDLC-portable
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description:	Ubuntu 13.10

Configured using:
 `configure 'CFLAGS=-g3 -O2''

Important settings:
  value of $LANG: fr_BE.UTF-8
  locale-coding-system: utf-8-unix


-- 
Nico.




Acknowledgement sent to Nicolas Richard <theonewiththeevillook@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17349; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.